#<profile4xi profile = "10" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "time4xi.py">
#<abstract4xi abstract = "provides time services"/>
#<refer4xi reference = "yourDragon4Xi"/> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; ACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'time4xi' ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread   
except:
    pass
try:                 # most-common ones
    import datetime
    import time
    from time import gmtime, strftime         
except:
    pass
     
#"
#/>


# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
import version4xi
from version4xi import VersionKB4Xi
from version4xi import ROOT4XI 
#"
#/>



# -------------------------------------------------------------------------------------------------
#<function4xi function = "time4xi" usage = "
#   provides time services
#"> 
# -------------------------------------------------------------------------------------------------

def time4xi ():
    '''
    time4xi function provides time services 
    '''
                                     # time, date, zone
    return time.strftime('%X %x %Z') # example: 15:13:52 12/06/09 FLE Standard Time

#</function4xi>
#</program4xi> 


# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#
# 19:51:43 01/30/10 FLE Standard Time
#" 
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of time4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
